[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [aspectj-users] Compilation warnings in eclipse

The syntax is correct. Maybe the real problem is above or below the code you show here. The old JDK and AspectJ version should not be a problem unless there was a fixed bug in later versions I am unaware of. But in principle there is no problem whatsoever in using the latest version of AJDT for Eclipse and AspectJ with JDK 7, so I think you should upgrade both and see if the problem goes away. But before you do that maybe you want to share your full aspect file, maybe I can spot another problem.
--
Alexander Kriegisch
https://scrum-master.de


Mikael Petterson schrieb am 20.03.2018 17:00:
> 
> 
> Hi,
> The below line generates a build error in eclipse. We use jdk7 ( yeah I
> know it is old but we are working on stepping up) and aspectjrt 1.7.4 and
> aspectjtools with same version.
> 
> Eclipse says:
> 
> 
> Multiple markers at this line
> 
> - This method requires a body instead of a
> 
> semicolon
> 
> - pointcut cannot be resolved to a type
> 
> on this line:
> pointcut beta():@annotation(com.google.common.annotations.Beta);
> 
> Do I lack something in Eclipse?
> 
> br,
> 
> //mike
> 
>